X2Go Bug report logs - #1000
[PATCH 1/1] sshmasterconnection.cpp: invalid proxy socket

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Heinrich Schuchardt <xypron.glpk@gmx.de>

Date: Sun, 21 Feb 2016 23:15:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.1

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1000: X2Go issue (in src:x2goclient) has been marked as pending for release
Reply-To: Mihai Moldovan <ionic@ionic.de>, 1000-quiet@bugs.x2go.org
Resent-To: Heinrich Schuchardt <xypron.glpk@gmx.de>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 22 Feb 2016 01:30:07 +0000
Resent-Message-ID: <handler.1000.U1000.14561044323906@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 1000
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: pending
Received: via spool by 1000-submitter@bugs.x2go.org id=U1000.14561044323906
          (code U ref 1000); Mon, 22 Feb 2016 01:30:07 +0000
Received: (at 1000-submitter) by bugs.x2go.org; 22 Feb 2016 01:27:12 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=3.0 tests=ALL_TRUSTED,BAYES_00,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id D02BE5DA97;
	Mon, 22 Feb 2016 02:26:54 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id skyun4M+ch1D; Mon, 22 Feb 2016 02:26:48 +0100 (CET)
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 6669A5DA96; Mon, 22 Feb 2016 02:26:48 +0100 (CET)
From: Mihai Moldovan <ionic@ionic.de>
To: 1000-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1000@bugs.x2go.org
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20160222012648.6669A5DA96@ymir.das-netzwerkteam.de>
Date: Mon, 22 Feb 2016 02:26:48 +0100 (CET)
tag #1000 pending
fixed #1000 4.0.5.1
thanks

Hello,

X2Go issue #1000 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=2b70cfc

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 2b70cfccc00295a029015c9e181f8afdd21901e4
Author: Heinrich Schuchardt <xypron.glpk@gmx.de>
Date:   Mon Feb 22 00:08:28 2016 +0100

    sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
    
    From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor: The
    socket descriptor is not available when QAbstractSocket is in
    UnconnectedState. So we have to connect to the proxy server first
    before retrieving the native socket.
    
    Signed-off-by: Heinrich Schuchardt <xypron.glpk@gmx.de>

diff --git a/debian/changelog b/debian/changelog
index cfea700..b680248 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -113,6 +113,15 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 
+  [ Heinrich Schuchardt ]
+  * New upstream version (4.0.5.1):
+    - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
+      From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
+      The socket descriptor is not available when QAbstractSocket is in
+      UnconnectedState.
+      So we have to connect to the proxy server first before retrieving the
+      native socket.
+
  -- X2Go Release Manager <git-admin@x2go.org>  Tue, 28 Jul 2015 06:05:27 +0200
 
 x2goclient (4.0.5.0-0x2go1) unstable; urgency=low

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Jul 13 05:25:02 2020; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.